import React from "react";
import { RouteDataContextContextType } from "./routeDataContext.js";
export interface LinkProps {
    className?: string;
    children?: JSX.Element | string | null | JSX.Element[];
    to: string | {
        id: string;
    };
    onClick?: () => void;
    routeDataContext: RouteDataContextContextType;
}
export type LinkComponent = typeof Link;
export declare const Link: React.FC<LinkProps>;
